Recent

Author Topic: Fpcupdeluxe  (Read 374565 times)

valdir.marcos

  • Hero Member
  • *****
  • Posts: 831
Re: Fpcupdeluxe
« Reply #1380 on: October 14, 2019, 08:24:58 am »
For all users of fpcupdeluxe.

I have been away for a while ...  O:-)
Will start working on fpcupdeluxe again.
And try to solve the issues reported here, as well as on Github.
Sorry for all the delays.
Welcome back and thank you for your important work.

Alextp

  • Hero Member
  • *****
  • Posts: 890
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1381 on: October 14, 2019, 08:46:21 pm »
Yes, welcome back, this work is needed.
I am interested in trying fpcupdeluxe in Haiku OS. It has NIGHT builds so I want to test on it.

valdir.marcos

  • Hero Member
  • *****
  • Posts: 831
Re: Fpcupdeluxe
« Reply #1382 on: October 15, 2019, 06:08:14 am »
Another very small issue on version 1.6.2y for Lazarus fixes_2_0 and FPC fixes_3_2: OPM (Online Package Manager) is not installed by default.

M.A.R.C.

  • Jr. Member
  • **
  • Posts: 69
Re: Fpcupdeluxe
« Reply #1383 on: October 17, 2019, 10:06:53 am »
Welcome back!

I have a little problem:

When I use fpcupdeluxe to install a Linux-arm cross compiler, the generated code run in Raspberry Pi 2 and 3, but not in the original one. That is because the compiler is using the options: Fpcupdeluxe: FPC cross-builder: Building compiler for Linux-arm (OPT: -dFPC_ARMHF ) [CROSSOPT: -CpARMV7A -CfVFPV3 -OoFASTMATH -CaEABIHF ].

The original raspberry pi is ARMV6Z and FPV2. How can I change those options?

Thanks.

Alextp

  • Hero Member
  • *****
  • Posts: 890
    • UVviewsoft
Re: Fpcupdeluxe
« Reply #1384 on: October 18, 2019, 08:08:23 am »
I confirm that NetBSD cross-compiler works ok, app runs fine on OS108 (it is netbsd + Mate desktop).

Zvoni

  • Sr. Member
  • ****
  • Posts: 280
Re: Fpcupdeluxe
« Reply #1385 on: October 18, 2019, 06:53:02 pm »
OK, i'll bite.
Just did a Update on FPC-Fixes 3.2 and Laz-Fixes 2.0 using fpcupdeluxe

My Lazarus reads as "2.0.5 - r62063"
if i change a string-property of a form using object-inspector (e.g. caption) i get an Access Violation???!?!?

EDIT
SVN-Revision 62075M
OS Ubuntu19.04-64bit

EDIT: This is weirding me out.
Deleted everything, installed stable, and no AV anymore
Laz/FPC reads now as FPC304/LAZ202-R60954
« Last Edit: October 18, 2019, 09:13:26 pm by Zvoni »
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

garlar27

  • Hero Member
  • *****
  • Posts: 619
Re: Fpcupdeluxe
« Reply #1386 on: October 19, 2019, 12:09:36 am »
Is there a way to leave the FPC configurations files in the same folder in which it was installed (just like Lazarus)?

Zvoni

  • Sr. Member
  • ****
  • Posts: 280
Re: Fpcupdeluxe
« Reply #1387 on: November 01, 2019, 09:30:50 pm »
OK, a stupid question, but how do i get fpcupdeluxe to switch stable to 2.0.6? or update the branches within.
I thought about changing the ini-file and svn returns error 256 i couldn't find any explanation for, though i'm guessing a "path not found" or similiar
stable installs 2.0.2 here
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1154
Re: Fpcupdeluxe
« Reply #1388 on: November 01, 2019, 10:09:24 pm »
I will update fpcupdeluxe tomorrow to celebrate 2.0.6 ...  :D

Zvoni

  • Sr. Member
  • ****
  • Posts: 280
Re: Fpcupdeluxe
« Reply #1389 on: November 01, 2019, 10:15:54 pm »
thx
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1154
Re: Fpcupdeluxe
« Reply #1390 on: November 02, 2019, 11:50:39 am »
New release of fpcupdeluxe.
Celebrating Lazarus 2.0.6 !
And some bugfixes.

https://github.com/LongDirtyAnimAlf/fpcupdeluxe/releases/latest

Zvoni

  • Sr. Member
  • ****
  • Posts: 280
Re: Fpcupdeluxe
« Reply #1391 on: November 02, 2019, 01:12:22 pm »
Nope. Still getting SVN return error 256 for 2.0.6
Starts working when reaching 2.0.2

EDIT: Think i found my Problem. I want to update my Lazarus, but
/usr/bin/svn info /home/zvoni/fpcupdeluxe/lazarus
returns
URL: https://svn.freepascal.org/svn/lazarus/tags/lazarus_2_0_2
and fpcupdeluxe errors out with a message (translated from german)
svn: E155000: »/home/zvoni/fpcupdeluxe/lazarus« is already a Working Dir for a different URL
Now, how to tell svn to update/force it?
Or do i really have to delete the dir by hand and/or choose a different dir?
« Last Edit: November 02, 2019, 01:23:56 pm by Zvoni »
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

DonAlfredo

  • Hero Member
  • *****
  • Posts: 1154
Re: Fpcupdeluxe
« Reply #1392 on: November 02, 2019, 01:31:29 pm »
You have to delete the Lazarus directory indeed.
Every Lazarus version has its own svn url.
And svn update will not work when the urls do not match.

Zvoni

  • Sr. Member
  • ****
  • Posts: 280
Re: Fpcupdeluxe
« Reply #1393 on: November 02, 2019, 01:55:42 pm »
You have to delete the Lazarus directory indeed.
Every Lazarus version has its own svn url.
And svn update will not work when the urls do not match.

Not right (at least not completely):
In the Lazarus-Dir is a ".svn"-subdir. Just remove that one, and you have a go again!

EDIT: Drat. Really had to delete the complete Laz-Directory... ah, well
« Last Edit: November 02, 2019, 02:07:42 pm by Zvoni »
One System to rule them all, One IDE to find them,
One Code to bring them all, and to the Framework bind them,
in the Land of Redmond, where the Windows lie
---------------------------------------------------------------------
People call me crazy, because i'm jumping out of perfectly fine aircrafts

tk

  • Sr. Member
  • ****
  • Posts: 364
Re: Fpcupdeluxe
« Reply #1394 on: November 03, 2019, 12:31:55 pm »
Hi, fresh install with latest fpcupdeluxe-i386-win32.exe (1.6.4a), empty folder, fpc trunk, laz. trunk, install/update Fpc+laz. And I get this error:

Code: [Select]
C:\fpcupdeluxe\lazarus\ide\exttools.pas(1437,32) Error: (4057) Can't determine which overloaded function to call
exttools.pas(1680) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Error: C:\fpcupdeluxe\fpc\bin\i386-win32\ppc386.exe returned an error exitcode
make[1]: *** [lazbuilder] Error 2
make: *** [lazbuild] Error 2
fpcupdeluxe: ERROR: LazarusNativeInstaller (BuildModuleCustom: Lazbuild): make.exe returned error code #2


ERROR: Fpcupdeluxe fatal error !